%include	/usr/lib/rpm/macros.perl
Summary:	Yet Another Part-of-Speech and Morphological Analyzer
Summary(pl.UTF-8):	Jeszcze jeden analizator części mowy i morfologii
Name:		mecab
Version:	0.996
Release:	2
License:	GPL v2 or LGPL v2.1 or BSD
Group:		Libraries
#Source0Download: http://code.google.com/p/mecab/downloads/list
Source0:	http://mecab.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	7603f8975cea2496d88ed62545ba973f
Patch0:		%{name}-libexec.patch
URL:		http://code.google.com/p/mecab/
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Yet Another Part-of-Speech and Morphological Analyzer.

%description -l pl.UTF-8
Jeszcze jeden analizator części mowy i morfologii.

%package devel
Summary:	Header files for MeCab
Summary(pl.UTF-8):	Pliki nagłówkowe MeCab
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for MeCab.

%description devel -l pl.UTF-8
Pliki nagłówkowe MeCab.

%package static
Summary:	Static MeCab library
Summary(pl.UTF-8):	Statyczna biblioteka MeCab
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static MeCab library.

%description static -l pl.UTF-8
Statyczna biblioteka MeCab.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure

%{__make} \
	CFLAGS="%{rpmcflags} -Wall" \
	CXXFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/mecab/dic

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BSD COPYING README doc/*.html
%attr(755,root,root) %{_bindir}/mecab
%attr(755,root,root) %{_libdir}/libmecab.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmecab.so.2
%dir %{_libdir}/mecab
%attr(755,root,root) %{_libdir}/mecab/mecab-cost-train
%attr(755,root,root) %{_libdir}/mecab/mecab-dict-gen
%attr(755,root,root) %{_libdir}/mecab/mecab-dict-index
%attr(755,root,root) %{_libdir}/mecab/mecab-system-eval
%attr(755,root,root) %{_libdir}/mecab/mecab-test-gen
%dir %{_libdir}/mecab/dic
%{_mandir}/man1/mecab.1*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mecabrc

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mecab-config
%attr(755,root,root) %{_libdir}/libmecab.so
%{_libdir}/libmecab.la
%{_includedir}/mecab.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libmecab.a
%changelog
* Thu Mar 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mecab.git;a=log;h=master

* Thu Mar 12 2015 Jan Rękorajski <baggins@pld-linux.org> 2935a79
- release 2 (by relup.sh)

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 753e79b
- updated to 0.996

* Sat Jan 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 4b4ada4
- updated to 0.995

* Sat Nov 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 649f42f
- new URLs, updated to 0.994
- added libexec patch
- removed obsolete segv,libdir patches
- ipadic moved to separate spec (mecab-ipadic)

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> c59ec41
- updated URLs

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cc9a8a3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fb654da
- converted to UTF-8

* Wed Nov 16 2005 Jakub Bogusz <qboosh@pld-linux.org> 053202c
- updated URLs

* Sun Nov 28 2004 radek <radek@pld-linux.org> 683b081
- it doesn't.

* Sun Nov 28 2004 radek <radek@pld-linux.org> 83c4792
- release 2: do not require the perl package
  (used perl-base, in case it *does* require perl at all))

* Thu Nov 25 2004 darekr <darekr@pld-linux.org> a3b79a7
- updated to 0.80
- BR automake

* Sun Sep 12 2004 Adam Gołębiowski <adamg@pld-linux.org> a81b77b
- pass @libdir@ instead @prefix@/lib to dicdir

* Sun Sep 12 2004 Adam Gołębiowski <adamg@pld-linux.org> b98a79f
- try to fix build on amd64

* Sun Sep 12 2004 havner <havner@pld-linux.org> 687cfb1
- config.sub
- rel 2

* Thu Sep 02 2004 darekr <darekr@pld-linux.org> caecb32
- updated to 0.79

* Sat Jul 03 2004 Jakub Bogusz <qboosh@pld-linux.org> 8f851b8
- updated to 0.78, ipadic to 2.7.0

* Thu Jan 29 2004 eothane <eothane@pld-linux.org> a82d30e
- updated to 0.77

* Thu Oct 23 2003 Jakub Bogusz <qboosh@pld-linux.org> 307fcad
- added dictionary and segv patch - builds now

* Tue Oct 14 2003 Jakub Bogusz <qboosh@pld-linux.org> 7af3bf9
- new, NFY (dic needed)

